precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;

uniform sampler2D uLastTexture;
varying vec2 vLastTextureCoord;



void main() {

   vec4 overlayColor=texture2D(uTexture,vTextureCoord);

   vec4 lastColor=texture2D(uLastTexture,vLastTextureCoord);

   gl_FragColor=lastColor+2.0*overlayColor-1.0;

}
