precision mediump float;
varying highp vec2 vTextureCoord;
uniform sampler2D uTexture;
const highp vec3 vYUV_Y=vec3(0.299,0.587,0.114);
const highp vec3 vYUV_U=vec3(-0.1678,-0.3313,0.5);
const highp vec3 vYUV_V=vec3(0.5,-0.4187,-0.0813);

const highp vec3 vRGB_R=vec3(1.0,0.0,1.402);
const highp vec3 vRGB_G=vec3(1.0,-0.34414,-0.71414);
const highp vec3 vRGB_B=vec3(1.0,1.1772,0.0);

void main(){
    lowp vec4 textureColor=texture2D(uTexture,vTextureCoord);

      float y=dot(vYUV_Y,textureColor.rgb);
      float u=dot(vYUV_U,textureColor.rgb);
      float v=dot(vYUV_V,textureColor.rgb);

      float r=dot(vRGB_R,vec3(y,u,v));
      float g=dot(vRGB_G,vec3(y,u,v));
      float b=dot(vRGB_B,vec3(y,u,v));

    gl_FragColor=vec4(r,g,b,textureColor.w);

}
