precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;

uniform sampler2D uLastTexture;
varying vec2 vLastTextureCoord;

uniform float dissolveRate;

float rand(vec2 n){
    return 0.5+0.5*fract(sin(dot(n.xy,vec2(12.9898,78.233)))*43758.5453);
}

void main() {

   vec4 overlayColor=texture2D(uTexture,vTextureCoord);

   vec4 lastColor=texture2D(uLastTexture,vLastTextureCoord);

    float dissolveFactor=rand(overlayColor.xy);
   gl_FragColor=mix(lastColor,overlayColor,overlayColor.a*dissolveFactor);

}
