precision highp float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;

uniform sampler2D uTexture2;
uniform int width;
uniform int height;
void main(void) // fragment
{
            float tx;
            float ty;
            tx = 1.0 / float(width);
            ty = 1.0 / float(height);
            vec4 color;
            color = texture2D(uTexture, vTextureCoord);
            float c1,c2,c3,c4,c5,c6,c7,c8,c9,gauss;
            c1 = texture2D(uTexture, vTextureCoord.xy + vec2(-tx,ty)).g;
            c2 = texture2D(uTexture, vTextureCoord.xy + vec2(0.0,ty)).g;
            c3 = texture2D(uTexture, vTextureCoord.xy + vec2(tx,ty)).g;
            c4 = texture2D(uTexture, vTextureCoord.xy + vec2(tx,0.0)).g;
            c5 = texture2D(uTexture, vTextureCoord.xy + vec2(tx,-ty)).g;
            c6 = texture2D(uTexture, vTextureCoord.xy + vec2(0.0,-ty)).g;
            c7 = texture2D(uTexture, vTextureCoord.xy + vec2(-tx,-ty)).g;
            c8 = texture2D(uTexture, vTextureCoord.xy + vec2(-tx,0.0)).g;
            c9 = color.g;

            vec3 _sample = vec3(c1,c2,c3);
            vec3 core = vec3(-0.062467,-0.125000,-0.062467);
            gauss = 0.0;
            gauss += dot(core,_sample);
            _sample = vec3(c8,c9,c4);
            core = vec3(-0.125000,0.749869,-0.125000);
            gauss += dot(core,_sample);
            _sample = vec3(c7,c6,c5);
            core = vec3(-0.062467,-0.125000,-0.062467);
            gauss += dot(core,_sample);
            float inter;
            float tmp;
            inter = 0.5 + gauss;

            if (inter<=0.5)
            {
                    tmp = 1.0 - (1.0-inter)/(2.0*inter);
            }
            else
            {
                    tmp = inter/(2.0*(1.0-inter));
            }

            tmp = max(0.0,min(1.0,1.0 - tmp));
            vec2 texC;
            vec4 newColor;
            texC = vec2(color.r,0.5);
            newColor.r = texture2D(uTexture2, texC).r;
            texC = vec2(color.g,0.5);
            newColor.g = texture2D(uTexture2, texC).g;
            texC = vec2(color.b,0.5);
            newColor.b = texture2D(uTexture2, texC).b;
            vec4 fColor = ((1.0 - tmp)*color + (newColor) * tmp);
            fColor.a = 1.0;
            gl_FragColor = fColor;
}